@import "/assets/fonts/manrope/font.css";

:root {
    --blue-title: #153162;
    --blue: #1E4381;
    --blue-btn: #477EB5;
    --light-blue: #4F8CC9;
    --light-blue-btn: #6197CE;
    --white-bg: #F1F5F8;
    --red: #BD353F;
    --dark-gray: #333333;
    --graphite: #575757;
    --input-border: #F1F3F7;
    --shadow: 0 0 50px rgba(0, 0, 0, 0.2);
    --container-width: 1320px;
    --desktop-gap: calc((100vw - 17px - var(--container-width))/2);
    --mobile-gap: 20px;
    --color-white: #FFFFFF;
}

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */

html {
    line-height: 1.15; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
    scroll-behavior: smooth;
    font-size: 20px;
}

body {
    background-color: var(--white-bg);
    font-family: 'Manrope', sans-serif;
    color: var(--graphite);
    margin: 0;
    padding: 0;
}
* {
    padding: 0px;
    margin: 0px;
    border: none;
    box-sizing: border-box;
}

a, a:link, a:visited  {
    text-decoration: none;
}

a:hover  {
    text-decoration: none;
}

/* Common */

aside, nav, footer, header, section, main {
    display: block;
}

ul, ul li {
    list-style: none;
    padding-left: 0;
}

img {
    vertical-align: top;
}

img, svg {
    max-width: 100%;
    height: auto;
}

address {
    font-style: normal;
}

/* Form */

input, textarea, button, select {
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    background-color: transparent;
}

input::-ms-clear {
    display: none;
}

button, input[type="submit"] {
    display: inline-block;
    box-shadow: none;
    background-color: transparent;
    background: none;
    cursor: pointer;
}

input:focus, input:active,
button:focus, button:active {
    outline: none;
}

button::-moz-focus-inner {
    padding: 0;
    border: 0;
}

label {
    cursor: pointer;
}

legend {
    display: block;
}

/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */

hr {
    box-sizing: content-box; /* 1 */
    height: 0; /* 1 */
    overflow: visible; /* 2 */
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */

pre {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
}

/**
 * Remove the gray background on active links in IE 10.
 */

a {
    background-color: transparent;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */

abbr[title] {
    border-bottom: none; /* 1 */
    text-decoration: underline; /* 2 */
    text-decoration: underline dotted; /* 2 */
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */

b,
strong {
    font-variation-settings: 'wght' bolder;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */

code,
kbd,
samp {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
}

/**
 * Add the correct font size in all browsers.
 */

small {
    font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */

sub,
sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sub {
    bottom: -0.25em;
}

sup {
    top: -0.5em;
}

/**
 * Remove the border on images inside links in IE 10.
 */

img {
    border-style: none;
}

/**
 * 1. Change the font styles in all browsers.
 * 2. Remove the margin in Firefox and Safari.
 */

button,
input,
optgroup,
select,
textarea {
    font-family: inherit; /* 1 */
    font-size: 100%; /* 1 */
    line-height: 1.15; /* 1 */
    margin: 0; /* 2 */
}

button,
select {
    text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

/**
 * Remove the inner border and padding in Firefox.
 */

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
    outline: 1px dotted ButtonText;
}

/**
 * 1. Correct the text wrapping in Edge and IE.
 * 2. Correct the color inheritance from `fieldset` elements in IE.
 * 3. Remove the padding so developers are not caught out when they zero out
 *    `fieldset` elements in all browsers.
 */

legend {
    box-sizing: border-box; /* 1 */
    color: inherit; /* 2 */
    display: table; /* 1 */
    max-width: 100%; /* 1 */
    padding: 0; /* 3 */
    white-space: normal; /* 1 */
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */

progress {
    vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */

textarea {
    overflow: auto;
}

/**
 * 1. Add the correct box sizing in IE 10.
 * 2. Remove the padding in IE 10.
 */

[type="checkbox"],
[type="radio"] {
    box-sizing: border-box; /* 1 */
    padding: 0; /* 2 */
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
    height: auto;
}

/**
 * 1. Correct the odd appearance in Chrome and Safari.
 * 2. Correct the outline style in Safari.
 */

[type="search"] {
    -webkit-appearance: textfield; /* 1 */
    outline-offset: -2px; /* 2 */
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */

[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */

::-webkit-file-upload-button {
    -webkit-appearance: button; /* 1 */
    font: inherit; /* 2 */
}

details summary{
    cursor: pointer;
    list-style: none;
}
details summary::-webkit-details-marker {
    display:none;
}

[hidden] {
    display: none;
}

p, ul {
    margin-bottom: 0;
}

[data-popup]>*{
    pointer-events: none;
}

.section {
    margin: 80px 0;
}

.btn {
    padding: 1em;
    border-radius: 12px;
    font-variation-settings: 'wght' 600;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    line-height: 1em;
}

.btn--blue {
    background-color: var(--light-blue);
    color: white;

    &:hover {
        background-color: var(--light-blue);
        color: white;
    }

    &:active {
        background-color: var(--blue);
        color: white;
    }
}

.btn--dark-blue {
    background-color: var(--blue);
    color: white;

    &:hover {
        background-color: var(--light-blue);
        color: white;
    }

    &:active {
        background-color: var(--blue);
        color: white;
    }
}

.btn--white {
    background-color: white;
    color: var(--blue);

    &:hover {
        background-color: var(--light-blue);
        color: white;
    }

    &:active {
        background-color: var(--light-blue);
        color: white;
    }
}

.cross {
    --width: 10px;
    --weight: 1px;
    --color: black;
    --angle: 45deg;
    grid-template-rows: var(--width);
    grid-template-columns: var(--width);
    overflow: hidden;
    border: none;
    background: none;
    display: grid;
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;
    padding: 0;
}

.cross:before,
.cross:after {
    content: "";
    width: var(--width);
    height: var(--weight);
    background: var(--color);
    transform-origin: center;
    grid-area: 1/1;
}

.cross:before {
    transform: rotate(var(--angle));
}

.cross:after {
    transform: rotate(calc(var(--angle) + 90deg));
}


h1, h2, h3, p, span {
    line-height: 1em;
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{
    font-variation-settings: 'wght' 600;
    color: var(--blue);
}
h1, .h1 {
    font-size: clamp(36px, calc(20px + 3.5vw), 70px);
    margin: 0;
}
h2, .h2 {
    font-size: clamp(32px, calc(25px + 2vw), 48px);
    margin: 0 0 60px 0;
}
h3, .h3 {
    font-size: 24px;
    margin: 0 0 20px 0;
}

.txt-block>*:nth-child(1){
    margin-top: 0;
}
.txt-block>*:last-child{
    margin-bottom: 0;
}
.red-txt{
    color: var(--red) !important;
}
.blue-txt{
    color: var(--blue);
}
.container {
    max-width: var(--container-width);
    margin: 0 auto;
    /*margin: 0 max(var(--desktop-gap), var(--mobile-gap));*/
}

.swiper-wrapper{
    height: auto;
}

.tabs{
    --display-active: block;
}
.tabs_body{
    display: grid;
    grid-template-columns: 100%;
}
.tab{
    grid-area: 1/1;
    display: none;
}
.tab.active{
    display: var(--display-active);
}
.tabs_head-item[data-tab]{
    cursor: pointer;
}
.tabs_head-item[data-tab]>*{
    pointer-events: none;
}


#popup{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: #00000080;
    backdrop-filter: blur(4px);
    overflow: auto;
    grid-template-columns: 100%;
    align-items: center;
    justify-items: center;
    display: none;
    padding: var(--mobile-gap);
}
#popup.active {
    display: grid;
    z-index: 99;
}
.popup_content{
    background: white;
    border-radius: 16px;
    padding: 40px;
    position: relative;
    width: 665px;
    max-width: 100%;
}
.popup_close{
    --color: var(--graphite);
    --weight: 2px;
    --width: 24px;
    position: absolute;
    top: 28px;
    right: 28px;
}
.popup_title{
    font-size: clamp(24px, calc(15px + 2vw), 40px);
    color: var(--blue);
    font-variation-settings: 'wght' 600;
}
#popup{
    .contacts-group-list{
        display: grid;
        grid-template-columns: 100%;
        gap: 20px;
    }
    .contacts_work-hours{
        font-size: 16px;
        line-height: 1em;
        color: var(--blue);
        margin: 0 0 10px 0;
    }
    .contacts-group_title{
        font-size: 16px;
        font-variation-settings: 'wght' 500;
        color: var(--blue);
    }
    .contacts-list{
        margin: 10px 0 0 0;
        display: grid;
        grid-template-columns: 100%;
        gap: 6px;
    }
    .contact-item{
        font-size: 14px;
        display: flex;
        align-items: center;
        gap: 6px;
        color: var(--blue);
    }
    .contact-item_icon-wrapper{
        flex-shrink: 0;
        background: var(--blue);
        width: 25px;
        height: 25px;
        border-radius: 6px;
        display: flex;
        align-items: center;
        justify-content: center;
        & :where(img, svg){
            width: 50%;
            height: auto;
            object-fit: contain;
        }
        path{
            fill: white;
        }
    }
    .popup_content.calendar .popup_close{
        top: 20px;
        right: 20px;
        --width: 15px;
        --color: var(--blue);
    }
    .calendar_title{
        font-variation-settings: 'wght' 600;
        font-size: 16px;
        text-align: center;
    }
    .calendar{
        margin: 10px 0 0 0;
    }
    .join-form{
        margin: 26px 0 0 0;
    }
    .join-form_input-list{
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 20px;
    }
    .join-form_input{
        width: 100%;
        font-size: 16px;
        padding: 1em;
        border: 1px solid var(--input-border);
        border-radius: 12px;
    }
    .join-form_input:nth-of-type(1){
        grid-area: auto / span 2;
    }
    .join-form_policy{
        margin: 20px 0 0 0;
        display: flex;
        align-items: flex-start;
        gap: 16px;
        font-size: 12px;
        input{
            width: 24px;
            height: 24px;
            border: 1px solid var(--graphite);
            border-radius: 4px;
            flex-shrink: 0;
        }
    }
    .join-form_send{
        margin: 40px 0 0 0;
        width: 100%;
    }
    .success-icon-wrapper{
        margin: 0 auto 0 auto;
        width: 80px;
        display: flex;
        & :where(img, svg){
            width: 100%;
            height: auto;
            object-fit: contain;
        }
        path{
            fill: #4D8856;
        }
    }
    .success_title{
        margin: 50px 0 0 0;
        text-align: center;
    }
    .success_txt{
        margin: 10px auto 0 auto;
        text-align: center;
        font-variation-settings: 'wght' 500;
        color: var(--blue);
    }
    .success_close{
        margin: 100px 0 0 0;
        width: 100%;
        position: relative;
        top: auto;
        right: auto;
    }
}

.calendar{
    --gap: 14px;
    --event-cnt-size: 23px;
    --month-btn-width: 45px;
    display: grid;
    grid-template-columns: 100%;
}
.calendar_month-list-wrapper{
    display: grid;
    grid-template-columns: var(--month-btn-width) 1fr var(--month-btn-width);
    align-items: center;
    justify-content: center;
}
.calendar_month-list{
    width: 100%;
}
.calendar_month-nav-btn{
    width: 100%;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    &:before{
        content: '';
        width: 10px;
        height: 10px;
        border-right: 2px solid var(--graphite);
        border-bottom: 2px solid var(--graphite);
        translate: -17% 0;
        rotate: -45deg;
    }
}
.calendar_month-nav-btn.prev:before{
    translate: 17% 0;
    rotate: 135deg;
}
.calendar_month{
    text-align: center;
    font-size: 20px;
    font-variation-settings: 'wght' 500;
}
.calendar_week-day-list{
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: var(--gap);
}
.calendar_week-day{
    font-size: 14px;
    font-variation-settings: 'wght' 600;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    aspect-ratio: 1/1;
}
.calendar_day-group-list{
    padding: 0 var(--event-cnt-size) 0 0;
    margin: 0 calc(-1 * var(--event-cnt-size)) 0 0;
}
.calendar_day-list{
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: var(--gap);
}
.calendar-day{
    position: relative;
    width: 100%;
    aspect-ratio: 1/1;
    border-radius: 10px;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.calendar-day[data-date]{
    cursor: pointer;
}
.calendar-day.active{
    background: var(--light-blue);
    color: white;
}
.calendar-day:hover{
    box-shadow: inset 0 0 0 2px var(--light-blue);
}
.calendar-day>*{
    pointer-events: none;
}
.calendar-day_event-cnt{
    position: absolute;
    top: 0;
    right: 0;
    translate: 50% -50%;
    width: var(--event-cnt-size);
    height: var(--event-cnt-size);
    border-radius: 50%;
    background: var(--blue);
    color: white;
    font-size: 11px;
    display: flex;
    align-items: center;
    justify-content: center;
}

header{
    position: relative;
}
.desktop-header {
    padding: 20px 0 0 0;
    color: var(--blue);
    .header__menu-link{
        font-size: 16px;
    }
    a {
        color: var(--blue);
        line-height: 20px;
        &:hover {
            color: var(--light-blue);
        }

        &:active {
            color: var(--blue-title);
        }
    }
    .header__city {
        display: flex;
        gap: 5px;
        align-items: center;
        font-size: 16px;
    }

    .header__contacts {
        font-size: 16px;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 20px;
    }

    .header__top {
        padding: 0 0 10px 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .desktop-header_request-btn{
        flex-grow: 1;
    }

    .header__bottom {
        display: flex;
        transition: background-color 0.3s ease-in-out;
        gap: 6px;
        align-items: flex-start;
    }
    .header__bottom.fixed {
        position: fixed;
        max-width: 1320px;
        width: 100%;
        margin: 0 auto;
        top: 5px;
        left: 0;
        right: 0;
        z-index: 99;
    }

    .header__bottom-left {
        background-color: white;
        padding: 10px 20px;
        border-radius: 12px;
        gap: 33px;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
    }

    .header__menu-list {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 24px;
    }

    .header__menu-item {
        position: relative;
        &.has-submenu {
            .header__menu-link {
                display: flex;
                align-items: center;
            }
            .header__menu-icon {
                margin-top: 2px;
                margin-left: 8px;
                width: 16px;
                height: 16px;
                transition: all .3s;
            }
            .header__submenu-list {
                display: none;
                position: absolute;
                top: 100%;
                left: 50%;
                transform: translateX(-50%);
                background-color: white;
                padding: 16px 17px;
                border-radius: 8px;
                margin-top: 5px;
                box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
                z-index: 1002;
                &::before {
                    content: '';
                    position: absolute;
                    height: 10px;
                    width: 100%;
                    left: 0;
                    top: -5px;
                }
            }
            &:hover .header__submenu-list {
                display: flex;
                flex-direction: column;
                gap: 6px;
                width: max-content;
            }

            &:hover .header__menu-icon {
                transform: rotate(180deg);
            }

            &:hover svg path {
                stroke: var(--light-blue);
            }
        }
    }

    .header__socials {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 6px;
    }

    .header__socials-link {
        background: var(--blue-btn);
        width: 25px;
        height: 25px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 6px;
        & :where(img, svg){
            width: 50%;
            height: auto;
            object-fit: contain;
        }
        path {
            fill: white;
        }
    }
    .header__socials-link:hover{
        background: var(--blue);
    }

    button {
        background-color: white;
    }
}

.dropdown-service-menu .header__menu-link {
    position: relative;
}

.dropdown-service-menu .header__menu-link::after {
    position: absolute;
    content: "";
    height: 25px;
    width: 100px;
    bottom: -25px;
    left: -50%;
}

.service-dropdown-container-wrapper {
    display: none;
    justify-content: center;
    position: absolute;
    width: 100%;
    left: 0;
    top: calc(100% - 15px);
    padding-top: 30px;
    z-index: 3;
    font-size: 16px;
}

.service-dropdown-lists .service-mine-list .services-item {
    margin-bottom: 8px;
}

@media (hover: hover) {
    .dropdown-service-menu:hover .service-dropdown-container-wrapper {
        display: flex;
    }
}

.service-dropdown-container {
    top: 100%;
    width: 100%;
    background: white;
    padding: 20px;
    border-radius: 16px;
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    grid-gap: 22px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, .1);
}

.service-dropdown-lists {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 6px;
    justify-content: start;
}

.service-list-icon {
    display: flex;
}

div[data-level1] {
    display: flex;
    flex: 1 1 auto;
}

.service-dropdown-container-wrapper .service-dropdown-lists li {
    display: flex;
    align-items: center;
    padding: 2px;
    gap: 12px !important;
    justify-content: space-between;
    width: 100%;
    max-width: 352px;
}

.list-title-icon-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.open-close-arrow {
    background: none;
    border: none;
    display: none;
}

.open-close-arrow svg {
    transform: rotate(-90deg);
}

.service-dropdown-lists li:has(ul) > .list-title-icon-wrapper .open-close-arrow {
    display: flex;
}

.dropdown-subLists {
    padding-left: 12px;
}

.header__layout .header__layout-nav .service-dropdown-lists {
    justify-content: start;
}

.service-mine-list li {
    min-width: 321px;
}

.service-dropdown-container-wrapper .service-dropdown-lists .dropdown-subLists {
    display: none;
}

.subcategory-container {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 100%;
    padding-left: 12px;
}

.service-dropdown-container .subcategory-container .dropdown-subLists,
.service-dropdown-container .subcategory-container .dropdown-subLists-2 {
    display: none;
}

.service-dropdown-container .subcategory-container-1 .dropdown-subLists,
.service-dropdown-container .subcategory-container-2 .dropdown-subLists-2 {
    display: flex;
}

.service-dropdown-container .subcategory-container-1 .dropdown-subLists {
    padding: 20px;
    background: var(--white-bg);
    height: 100%;
    border-radius: 8px;
    width: 100%;
}

/* Стили для выбранных элементов в первом столбце */
.categories-level-1.selected {
    color: #000; /* Пример стиля */
}

/* Стили для выбранных элементов во втором столбце */
li.selected {
    color: #FFF; /* Пример стиля */
}

.service-dropdown-container .subcategory-container .dropdown-subLists-2 {
    gap: 20px;
    color: var(--blue-title);
}

.subcategory-container-2 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    padding: 20px;
    border: 2px solid var(--white-bg);
    border-radius: 8px;
}

.subcategory-container-2 .subcategory-title {
    font-variation-settings: 'wght' 800;
    color: var(--blue-title);
    font-size: 16px;
    line-height: 24px;
}

.subcategory-container-2 .service-description {
    color: #24282D;
    font-size: 16px;
    line-height: 22px;
    padding: 12px;
    width: 100%;
}

.subcategory-container-2 .service-link {
    color: #2B5EB5;
    font-size: 16px;
    line-height: 22px;
    padding: 12px;
    width: 100%;
    text-decoration: none;
}

.list-title-icon {
    display: flex;
    align-items: center;
    gap: 12px;
    color: var(--blue);
}

.dropdown-service-menu__title-wrapper {
    display: flex;
    align-items: center;
}

.open-close-service-dropdown {
    display: flex;
    height: 24px;
    width: 24px;
    padding: 4px;
}

.header a.btn__list--blue {
    color: #ffffff;
    font-size: 14px;
    line-height: 20px;
}

.services-item {
    border-radius: 0;
    border: none !important;
    background-color: transparent !important;
}

.services-item p {
    font-variation-settings: 'wght' 800;
    font-size: 16px;
    line-height: 22px;
    color: var(--blue-title);
}

.service-dropdown-lists .dropdown-subLists {
    padding: 20px;
    background-color: var(--white-bg);
}

.mobile-header{
    display: none;
}
.mobile-header_top{
    padding: 20px 0 10px 0;
    .container{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}
.mobile-header_logo{
    display: flex;
    width: 175px;
    & :where(img, svg){
        width: 100%;
        height: auto;
        object-fit: contain;
    }
}
.mobile-header_location{
    color: var(--blue);
    display: flex;
    align-items: center;
    gap: 10px;
}
.mobile-header_burger-btn{
    display: grid;
    grid-template-columns: 20px;
    gap: 4px;
    width: fit-content;
}
.mobile-header_burger-btn>*{
    pointer-events: none;
}
.mobile-header_burger-btn-line{
    background: var(--blue);
    width: 100%;
    height: 2px;
}
.mobile-header_bottom .container{
    padding: 20px;
    background: white;
    border-radius: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.mobile-header_contacts{
    display: flex;
    flex-wrap: wrap;
    gap: 17px;
    align-items: center;
}
.mobile-header_contact-item{
    display: flex;
    & :where(img, svg){
        width: 22px;
        height: auto;
        object-fit: contain;
    }
    path{
        fill: var(--blue);
    }
}
.burger-menu{
    background: white;
    padding: 20px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: none;
    grid-template-columns: 100%;
}
.burger-menu.active{
    display: grid;
    z-index: 10;
}
.burger-menu_head{
    margin: 0 0 30px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.burger-menu_close{
    --color: var(--blue);
    --weight: 2px;
    --width: 21px;
}
.burger-menu_contacts-wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.burger-menu_contacts{
    display: flex;
    align-items: center;
    gap: 17px;
}
.burger-menu_menu{
    display: grid;
    grid-template-columns: 100%;
    justify-items: center;
    gap: 20px;
    font-size: 16px;
    font-variation-settings: 'wght' 500;
    color: var(--blue);
}
.burger-menu-item{
    color: inherit;
}
.burger-menu-item_label{
    display: flex;
    align-items: center;
    gap: 6px;
    justify-content: center;
}
.have-child .burger-menu-item_label:after{
    content: '';
    width: 7px;
    height: 7px;
    border-right: 1px solid var(--blue);
    border-bottom: 1px solid var(--blue);
    flex-shrink: 0;
    translate: 0 -17%;
    rotate: 45deg;
}
.burger-menu-item_child-list{
    padding: 10px 0 0 0;
    display: grid;
    grid-template-columns: 100%;
    gap: 10px;
    justify-items: center;
}
.burger-menu_contact-btn{
    margin: 30px 0 0 0;
    width: 100%;
}

.become-part{
    margin: 60px 0;
    .container{
        border-radius: 16px;
        background: linear-gradient(270deg, rgba(21, 49, 98, 0) 0%, #153162 100%), url("/assets/images/meeting.jpg") center center/cover no-repeat;
        color: white;
        padding: 40px;
    }
}
.become-part_title{
    font-size: 36px;
    line-height: 1.3em;
    font-family: 'Manrope-Medium', sans-serif;
    font-variation-settings: 'wght' 600;
}
.become-part_txt{
    margin: 10px 0 0 0;
    max-width: 590px;
    font-size: 20px;
    line-height: 1.6em;
}
.become-part_btn{
    margin: 20px 0 0 0;
}

.footer {
    color: white;
    a{
        color: inherit;
        &:hover{
            color: var(--light-blue);
        }
        &:active{
            color: var(--blue-btn);
        }
    }
}

.footer__logo{
    width: 100%;
    max-width: 174px;
}

.footer__logo img{
    width: 100%;
}

.footer__container{
    background-color: var(--blue);
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    padding: 60px 60px 30px 60px;
}
.footer__inner-top{
    margin-bottom: 16px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 90px;
}
.footer__inner-item{
    display: flex;
    gap: 20px;
    flex-direction: column;
}
.footer__socials{
    margin-top: 24px;
}
.footer__socials-text{
    margin-bottom: 32px;
}
.footer__socials-list{
    display: flex;
    gap: 9px;
}
.footer__inner-item.updates{
    grid-area: updates;
    width: 340px;
    flex-shrink: 0;
}
.footer__inner-item.contacts{
    grid-area: contacts;
}
.footer__inner-item.about{
    grid-area: about;
    padding: 0;
}
.footer__inner-item.structure{
    grid-area: structure;
}
.footer_socials-link{
    width: 25px;
    height: 25px;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--light-blue);
    & :where(img, svg){
        width: 50%;
        height: auto;
        object-fit: contain;
    }
    path{
        fill: white;
    }
}
.footer_subscribe-form{
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: stretch;
    width: 100%;
    background-color: white;
    border-radius: 12px;
    overflow: hidden;
}
.footer_subscribe-form-input{
    font-size: 14px;
    width: 100%;
    padding: 1em 1.28em;
    color: #000;
}
.footer_subscribe-form-send{
    font-size: 14px;
}
.footer__description-text{
    margin-bottom: 10px;
}
.footer__contacts-title{
    margin-bottom: 6px;
    font-size: 14px;
    line-height: 20px;
}
.footer__contacts-value{
    display: inline-block;
    font-weight:600;
    font-size: 14px;
    line-height: 20px;
}
.footer__inner-title{
    font-variation-settings: 'wght' 800;
    font-size: 16px;
    line-height: 22px;
}
.footer__inner-list{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.footer__inner-link{
    text-align: left;
}
.footer__inner-point{
    line-height: 22px;
    font-size: 16px;
}

.footer__inner-bottom{
    padding: 25px 0 0 0;
    border-top: 1px solid #E1E4ED;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.footer__policies{
    display: flex;
    align-items: center;
    gap: 20px;
    font-size: 14px;
    line-height: 20px;
    a{
        text-decoration: underline;
    }
}
.footer__copy{
    color: #B4B9C9;
}
.footer_developer{
    display: flex;
    gap: 20px;
    align-items: center;
    font-size: 16px;
    & :where(img, svg){
        width: 125px;
        height: auto;
        object-fit: contain;
        flex-shrink: 0;
    }
    path{
        fill: white;
    }
}

.more--gray {
    color: var(--dark-gray);

    &:hover {
        color: var(--light-blue);

        svg path {
            fill: var(--light-blue);
        }
    }

    &:active {
        color: var(--blue);

        svg path {
            fill: var(--blue);
        }
    }
}


@media (max-width: 1400px){
    .container{
        padding-left: 20px;
        padding-right: 20px;
    }
}


@media (max-width: 1200px){
    html{
        font-size: 16px;
    }
    .desktop-header{
        display: none;
    }
    .mobile-header{
        display: block;
    }
    .mobile-header_bottom{
        padding: 0 20px;
    }
}
@media (max-width: 1024px){
    .btn{
        font-size: 14px;
    }
    h2, .h2 {
        margin: 0 0 30px 0;
    }
    h3, .h3 {
        margin: 0 0 10px 0;
        font-size: 16px;
    }
    .section {
        margin: 40px 0;
    }
    .popup_content{
        padding: 24px;
    }
    .popup_close{
        --width: 21px;
    }
    .subcategory-container-1,
    .subcategory-container-2 {
        display: none;
    }

    .service-dropdown-container-wrapper {
        position: unset;
    }

    .service-dropdown-container {
        grid-template-columns: 100%;
        padding: 16px;
    }

    .header__layout .header__layout-nav .service-dropdown-lists {
        gap: 8px;
    }

    .service-dropdown-container-wrapper .service-dropdown-lists li {
        gap: 8px !important;

    }

    .header__layout .service-dropdown-container-wrapper .service-dropdown-lists li .list-title-icon {
        display: flex;
        gap: 16px;
    }

    .header__layout .service-dropdown-container-wrapper .service-dropdown-container li {
        max-width: 100%;
        margin: 0;
        border: none;
        background: none;
        padding: 0;
    }

    .open-close-arrow svg {
        transform: rotate(0deg) scale(1, 1);
        transition: transform 300ms;
    }

    .list-title-icon-wrapper {
        padding: 8px;
        border-radius: 8px;
        background: #FFFFFF;
        gap: 16px;
    }


    .header__layout-nav .service-dropdown-container-wrapper .dropdown-subLists li {
        overflow: unset;
    }

    .open > .list-title-icon-wrapper .open-close-arrow svg {
        transform: scale(1, -1);
    }

    .open > .list-title-icon-wrapper .open-close-arrow svg path,
    .open > .list-title-icon-wrapper .service-list-icon svg path {
        fill: #2B5EB5;
    }

    .open > .list-title-icon-wrapper .list-title-icon a,
    .open > .list-title-icon-wrapper a {
        color: #2B5EB5 !important;
    }

    .service-dropdown-container-wrapper .service-dropdown-lists .dropdown-subLists-2,
    .service-dropdown-container-wrapper .service-dropdown-lists .dropdown-subLists-3 {
        display: none;
    }

    .open > .dropdown-subLists,
    .open > .dropdown-subLists-2,
    .open > .dropdown-subLists-3 {
        display: flex !important;
    }

    .header__layout .header__layout-nav .service-dropdown-lists .open {
        max-height: 100% !important;
    }

    .header__layout .header__layout-nav ul .dropdown-service-menu:hover img {
        transform: rotate(270deg);
    }

    .header__layout .header__layout-nav ul .dropdown-service-menu.open-menu img {
        transform: rotate(360deg);
    }

    .dropdown-service-menu.open-menu .service-dropdown-container-wrapper {
        display: flex;
    }

    .service-dropdown-container .service-dropdown-lists li,
    .header__layout .header__layout-nav .service-dropdown-lists a {
        min-width: unset;
    }
    #popup .popup_content.calendar{
        max-width: 320px;
    }
    .calendar{
        --gap: 8px;
        --event-cnt-size: 14px;
        --month-btn-width: 20px;
    }
    .calendar_month{
        font-size: 14px;
    }
    .calendar_month-nav-btn:before{
        width: 4px;
        height: 4px;
    }
    .calendar_week-day{
        font-size: 12px;
    }
    .calendar-day{
        font-size: 12px;
    }
    .footer .container{
        padding: 20px;
    }
    .footer__inner-top{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 'updates updates' 'contacts contacts' 'about structure';
        column-gap: 16px;
        row-gap: 32px;
    }
    .footer__inner-list{
        gap: 16px;
    }
    .footer__inner-bottom{
        flex-direction: column-reverse;
        gap: 30px;
    }
    .footer__policies{
        display: grid;
        grid-template-columns: 100%;
        justify-content: center;
        justify-items: center;
        gap: 10px;
    }
}


@media(max-width: 480px){
    .footer__inner-item.updates{
        width: 100%;
    }
    #popup {
        .join-form_input-list {
            grid-template-columns: 100%;
            gap: 10px;
        }
        .join-form_input{
            font-size: 14px;
        }
        .join-form_input:nth-of-type(1) {
            grid-area: auto;
        }
        .join-form_send{
            margin: 24px 0 0 0;
        }
        .success-icon-wrapper{
            width: 70px;
        }
        .success_title{
            margin: 25px;
        }
        .success_txt{
            margin: 20px auto 0 auto;
            font-size: 14px;
            max-width: 140px;
        }
        .success_close{
            margin: 25px 0 0 0;
        }
    }
}